package com.yizhi.application.point.constant;
 
public enum MQqueuesEnum {

	/**
	 * 课程
	 */
	EXPERIENCECOURSE("experienceCourse"),

	/**
	 * 课程
	 */
	COURSE("course"),

	/**
	 * 调研
	 */
	EXPERIENCERESERCH("experienceResearch"),

	/**
	 * 调研
	 */
	RESEARCH("research"),
	
	/**
	 * 考试
	 */
	EXAM("exam"),

	/**
	 * 经验发放考试
	 */
	EXPERIENCEEXAM("experienceExam"),

	/**
	 * 投票
	 */
	EXPERIENCEVOTE("experienceVote"),

	/**
	 * 投票
	 */
	VOTE("vote"),
	
	/**
	 * 作业
	 */
	ASSIGNMENT("assignment"), 
	
	
	/**
	 * 课程测验
	 */
	COURSETEST("courseTest"),
	
	/**
	 * 线下课程
	 */
	OFFLINECOURSE("offlineCourse"),
	
	/**
	 * 签到打卡
	 */
	SIGN("sign");
	
	private String key;

	public String getKey() {
		return key;
	}
	
	public void setKey(String key) {
		this.key = key;
	}
	
	private MQqueuesEnum(String key) {
		this.key = key;
	}

}
